/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_itoa_st.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: fbenneto <fbenneto@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/01/16 13:15:00 by fbenneto          #+#    #+#             */
/*   Updated: 2018/01/16 16:39:38 by fbenneto         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "ft_ls.h"

char	*ft_itoa_st(int nb)
{
	static char	s[33];
	ssize_t		l;

	l = ft_len_nb(nb, 10);
	s[l] = 0;
	l--;
	while (l >= 0)
	{
		s[l] = '0' + (nb % 10);
		nb /= 10;
		l--;
	}
	return (s);
}
